Bug 759148 - mdraid module waits for RAID background reconstruction to complete before booting
Summary: mdraid module waits for RAID background reconstruction to complete before boo...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dracut
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: dracut-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-01 14:23 UTC by Daniel Drake
Modified: 2012-01-23 09:48 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-23 09:48:16 UTC
Type: ---


Attachments (Terms of Use)

Description Daniel Drake 2011-12-01 14:23:56 UTC
Just installing Fedora 16 on a new system. We set up a RAID1 with mdadm for /. This is standard mdraid, created with anaconda during F16 install.

On boot, we're finding that if there is a RAID inconsistency, dracut is waiting for mdadm reconstruction to complete before booting the system. This means that after a power outage or other condition that would cause a reconstruction to become necessary, we have to wait several hours for the system to come online again.

My understanding is that this reconstruction is a background task, is there really a need for this to hold up boot?

This behaviour comes from 0064-90mdraid-wait-for-md-devices-to-become-clean.patch in the dracut-013-19.fc16 package.

Comment 1 Chuck Ebbert 2011-12-07 13:32:25 UTC
Note that kernel mdraid is specifically designed to allow operation while the array is rebuilding.


Note You need to log in before you can comment on or make changes to this bug.